package de.unikoblenz.fgbks.base.utils.boundary;

import de.unikoblenz.fgbks.base.utils.boundary.checker.BoundaryCheckType;
import de.unikoblenz.fgbks.base.utils.boundary.combiner.BoundaryCombineType;
import de.unikoblenz.fgbks.base.utils.boundary.creater.BoundaryCreaterType;
import de.unikoblenz.fgbks.core.dmn.domain.vdmn.VTypeRef;
import java.util.Optional;

public interface Boundary extends Comparable<Boundary> {

  VTypeRef getTypeRef();

  String getText();

  boolean checkWith(BoundaryCheckType checkType, Boundary other);

  Optional<Boundary> create(BoundaryCreaterType createType);

  Optional<Boundary> combine(BoundaryCombineType combineType, Boundary other);
}
