package de.unikoblenz.fgbks.base.utils.boundary.combiner;

import de.unikoblenz.fgbks.base.utils.boundary.Boundary;
import java.util.Optional;

public class EmptyCombiner extends AbstractBoundaryCombiner<Boundary> {

  private static final EmptyCombiner instance = new EmptyCombiner();

  private EmptyCombiner() {
    super();
  }

  public static EmptyCombiner getInstance() {
    return instance;
  }

  @Override
  public BoundaryCombineType getType() {
    return null;
  }

  @Override
  public Optional<Boundary> combine(Boundary b1, Boundary b2) {
    return Optional.empty();
  }
}
